Process TransactionCopy Pagepost https://api.preczn.com/v1/transactionsQuery ParamstokenizebooleanReturn a token for provided specified method.truetruefalsemerchantTokenbooleanAssociate token directly with specified merchant.falsetruefalseBody ParamsmerchantIdstringThe ID of the merchant for which to process the transaction. Required for verify, auth, sale, and drawdown transaction types.typestringenumrequiredTransaction type.saleauthcapturerefundvoidverifydrawdownAllowed:saleauthcapturerefundvoidverifydrawdownpaymentObject containing details of the payment method from which the transaction is being made. Please note the required parameters will vary depending on the payment method submitted. Required for verify, auth, sale, and drawdown transaction types.PaymentCardPaymentBankPaymentTokenPaymentCard objectamountnumberThe amount to charge for this transaction, specified in integer value of lowest currency denomination (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). Required for auth, sale, and drawdown transaction types.taxnumberThe portion of the amount field charged as tax, specified in integer value of lowest currency denomination (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).feenumberThe portion of the amount field charged as a fee, specified in integer value of lowest currency denomination (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).firstNamestringlength ≤ 100The payment account holders first name.lastNamestringlength ≤ 100The payment account holders last name.phonestringlength ≤ 20The payment account holders phone number.emailstringlength ≤ 100The payment account holders email address.billingAddressobjectThe payment account holders billing address.billingAddress objectachMandatestringlength ≤ 500ACH mandate/authorization text - customer consent for ACH debit. Required for Braintree ACH verify transactions.accountBusinessNamestringlength ≤ 255Business name for corporate/business bank accounts. Required for Braintree ACH verify transactions with corporate account types.shippingAddressobjectThe shipping address for a transaction which requires shipping of goods.shippingAddress objectipCreatedstringPublic IP address from which this transaction originated.orderstringlength ≤ 255A value echoed back in the response which is often used to associate the transaction with an order ID in your system.orderDeliveryDatestringThe anticipated UTC date and time the purchased goods/services should be delivered.transactionIdstringThe transaction ID for which to run a follow-up transaction. Required for capture, refund, and void transaction types.invoicestringlength ≤ 100A value echoed back in the response which is often used to associate the transaction with an Invoice Number in your system.freightTaxnumberThe amount charged as freight tax for Level III processing, specified in integer value of lowest currency denomination (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).dutyTaxnumberThe amount charged as duty tax for Level III processing, specified in integer value of lowest currency denomination (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).itemsarray of objectsLine item data associated with this transaction for Level III processing.itemsADD objectcurrencystringlength ≤ 3Defaults to USDISO-4217 3-character currency code.metadataobjectA flat object consisting of no more than 20 keys each of a max length of 20 characters, with only string values of a max length of 255 characters.metadata objectdescriptionstringlength ≤ 1000Any string used to describe the transaction.merchantInfoobjectMerchant information to be included with the transaction's merchant descriptor data, for supported connections.merchantInfo objecttotalJobAmountnumberThe total amount of the job, specified in integer value of lowest currency denomination (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). Required for drawdown transaction type.drawTypestringenumDraw type. Required for drawdown transaction type.progressprogresscompletionAllowed:progresscompletionchannelstringlength ≤ 1000ChannelprocessorstringenumThe processor to use for this transaction.StripeStripeStripeConnectBraintreePayPalPayrixRainforestMerchantECheckoutAdyenAdyenForPlatformsQuantumEPayGreenskyAffiniPayWePayNelnetTillPaymentsJarisFinixAuthorizeNetStaxPayflowProNuveiCardPointeShow 23 enum valuesHeadersidempotency-keystringTransaction Idempotency KeyResponses 200Transaction succesfully processed. 400Request not serviced due to invalid format. 401Invalid API key. 403Forbidden to process a transaction for the provided merchantId. 404Transaction not found for provided transactionId. 500Unable to service request due to server-side error. Please reattempt transaction, idempotency key strongly advised. defaultAll responses include the following headers.Updated 7 months ago